CocoaTweet::API::Statuses::UserTimeline Class Reference

class for using statuses/user_timeline endpoint More...

`#include <userTimeline.h>`

Inheritance diagram for CocoaTweet::API::Statuses::UserTimeline:
[legend]
Collaboration diagram for CocoaTweet::API::Statuses::UserTimeline:
[legend]

## Public Member Functions

| UserTimeline ()
| primary constructor More...
void | screenName (const std::string &_screenName)
| set screen name to get timeline More...
std::vector< CocoaTweet::API::Model::Tweet > | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)
| process request for endpoint More...

## Additional Inherited Members

Protected Member Functions inherited from CocoaTweet::API::Interface::HttpGet
void | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth, std::function< void(const std::string &)> _callback)
| Send HTTP/POST using OAuth object. More...
Static Protected Member Functions inherited from CocoaTweet::API::Interface::HttpBase
static size_t | curlCallback_ (char *_ptr, size_t _size, size_t _nmemb, std::string *_stream)
Protected Attributes inherited from CocoaTweet::API::Interface::HttpBase
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_
std::map< std::string, std::string > | bodyParam_
std::string | url_
std::string | contentType_

## Detailed Description

class for using statuses/user_timeline endpoint

## Constructor & Destructor Documentation

## UserTimeline()

CocoaTweet::API::Statuses::UserTimeline::UserTimeline | ( |  | ) |

primary constructor

## Member Function Documentation

## process()

std::vector< CocoaTweet::API::Model::Tweet > CocoaTweet::API::Statuses::UserTimeline::process | ( | std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

process request for endpoint

Parameters

  [in] | std::weak_ptr<CocoaTweet::OAuth::OAuth1> | _oauth : pointer to oauth object
  [out] | std::vector<CocoaTweet::API::Model::Tweet> | : request result

## screenName()

void CocoaTweet::API::Statuses::UserTimeline::screenName | ( | const std::string & | _screenName | ) |

set screen name to get timeline

Parameters

  [in] | const | std::string& _screenName : screen name for getting tweet

The documentation for this class was generated from the following files:

- src/cocoatweet/api/status/userTimeline.h
- src/cocoatweet/api/status/userTimeline.cc